%define name perl-Array-RefElem
%define real_name Array-RefElem
%define module Array-RefElem
%define version 0.02
%define release 8mdk

Summary: 	Direct access to the internal perl routines for arrays & hashes
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Distribution:	Mandrake Linux
Source:		http://www.cpan.org/authors/id/GAAS/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl

%description
This module give direct access to the internal perl routines that let
you store reference to things in arrays and hashes.

This module is needed by eGrail.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix} 
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{prefix}


%files
%defattr(-,root,root)
%doc README Changes MANIFEST
%{_mandir}/*/*
%{perl_vendorarch}/Array/*
%{perl_vendorarch}/auto/Array/*

%changelog
* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.02-8mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.02-7mdk
- rebuild for perl 5.8.0

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.02-6mdk
- Automated rebuild in gcc3.1 environment

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.02-5mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.02-4mdk
- Fix distribution tag

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.02-3mdk
- Make a clean RPM with the right directories

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.02-2mdk
- Rename spec file.
- Rebuild against the latest perl.
- Remove Venor and distribution tag.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.02-1mdk
- First Mandrake release
- Needed for eGrail
